# -*- encoding: utf-8 -*-
# stub: intermine 1.05.00 ruby lib

Gem::Specification.new do |s|
  s.name = "intermine".freeze
  s.version = "1.05.00"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alex Kalderimis".freeze]
  s.date = "2017-05-04"
  s.description = "= Webservice Client Library for InterMine Data-Warehouses\n\nThis library provides an interface to the InterMine webservices\nAPI. It makes construction and execution of queries more \nstraightforward, safe and convenient, and allows for results\nto be used directly in Ruby code. As well as traditional row based\naccess, the library provides an object-orientated record result\nformat (similar to ActiveRecords), and allows for fast, memory \nefficient iteration of result sets.\n\n== Example\n\nGet all protein domains associated with a set of genes and print their names:\n\n    require \"intermine/service\"\n\n    Service.new(\"www.flymine.org/query\").\n        new_query(\"Pathway\")\n        select(:name).\n        where(\"genes.symbol\" => [\"zen\", \"hox\", \"h\", \"bib\"]).\n        each_row { |row| puts row[:name]}\n\n== Who is this for?\n\nInterMine data warehouses are typically constructed to hold\nBiological data, and as this library facilitates programmatic\naccess to these data, this install is primarily aimed at \nbioinformaticians. In particular, users of the following services\nmay find it especially useful:\n * FlyMine (http://www.flymine.org/query)\n * YeastMine (http://yeastmine.yeastgenome.org/yeastmine)\n * RatMine (http://ratmine.mcw.edu/ratmine)\n * modMine (http://intermine.modencode.org/release-23)\n * metabolicMine (http://www.metabolicmine.org/beta)\n\n== How to use this library:\n\nWe have tried to construct an interface to this library that\ndoes not require you to learn an entirely new set of concepts. \nAs such, as well as the underlying methods that are common\nto all libraries, there is an additional set of aliases and sugar\nmethods that emulate the DSL style of SQL:\n\n=== SQL style\n\n  service = Service.new(\"www.flymine.org/query\")\n  service.model.\n     table(\"Gene\").\n     select(\"*\", \"pathways.*\").\n     where(:symbol => \"zen\").\n     order_by(:symbol).\n     outerjoin(:pathways).\n     each_row do |r|\n       puts r\n     end\n\n=== Common InterMine interface\n\n  service = Service.new(\"www.flymine.org/query\")\n  query = service.new_query(\"Gene\")\n  query.add_views(\"*\", \"pathways.*\")\n  query.add_constraint(\"symbol\", \"=\", \"zen\")\n  query.add_sort_order(:symbol)\n  query.add_join(:pathways)\n  query.each_row do |r|\n    puts r\n  end\n\nFor more details, see the accompanying documentation and the unit tests\nfor interface examples. Further documentation is available at www.intermine.org.\n\n== Support\n\nSupport is available on our development mailing list: dev@intermine.org\n\n== License\n\nThis code is Open Source under the LGPL. Source code for this gem\ncan be checked out from https://github.com/intermine/intermine-ws-ruby\n".freeze
  s.email = ["dev@intermine.org".freeze]
  s.homepage = "http://www.intermine.org".freeze
  s.licenses = ["LGPL".freeze]
  s.rdoc_options = ["--title".freeze, "InterMine Webservice Client".freeze, "--main".freeze, "README.rdoc".freeze, "--line-numbers".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Webservice Client Library for InterMine Data-Warehouses".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<json>.freeze, [">= 0"])
  else
    s.add_dependency(%q<json>.freeze, [">= 0"])
  end
end
